| Home | Libraries | People | FAQ | More

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- h
- i
- l
- m
- n
- o
- r
- s
- u
- v
- w

### - a -

- acceptor_ : s11n_example::server, http::server::server

### - b -

- buffer_ : http::server::connection
- buy_price : s11n_example::stock
- buy_quantity : s11n_example::stock

### - c -

- code : s11n_example::stock
- connection_ : s11n_example::client
- connection_manager_ : http::server::server, http::server::connection
- connections_ : http::server::connection_manager
- content : http::server::reply

### - d -

- doc_root_ : http::server::request_handler

### - e -

- extension : http::server::mime_types::mapping

### - h -

- handler_ : services::stream_socket_service< Protocol >::receive_handler< Handler >, services::stream_socket_service< Protocol >::send_handler< Handler >, services::stream_socket_service< Protocol >::connect_handler< Handler >
- headers : http::server::request, http::server::reply
- high_price : s11n_example::stock
- http_version_major : http::server::request_parser, http::server::request
- http_version_minor : http::server::request_parser, http::server::request

### - i -

- identifier : services::logger_service::logger_impl
- impl_ : services::basic_logger< Service >
- inbound_data_ : s11n_example::connection
- inbound_header_ : s11n_example::connection
- io_service_ : http::server::server

### - l -

- last_price : s11n_example::stock
- logger_ : services::stream_socket_service< Protocol >, services::stream_socket_service< Protocol >::receive_handler< Handler >, services::stream_socket_service< Protocol >::send_handler< Handler >, services::stream_socket_service< Protocol >::connect_handler< Handler >
- low_price : s11n_example::stock

### - m -

- method : http::server::request_parser, http::server::request
- mime_type : http::server::mime_types::mapping

### - n -

- name : s11n_example::stock, http::server::header
- new_connection_ : http::server::server

### - o -

- ofstream_ : services::logger_service
- open_price : s11n_example::stock
- outbound_data_ : s11n_example::connection
- outbound_header_ : s11n_example::connection

### - r -

- reply_ : http::server::connection
- request_ : http::server::connection
- request_handler_ : http::server::server, http::server::connection
- request_parser_ : http::server::connection

### - s -

- sell_price : s11n_example::stock
- sell_quantity : s11n_example::stock
- service_ : services::basic_logger< Service >
- service_impl_ : services::stream_socket_service< Protocol >
- socket_ : s11n_example::connection, http::server::connection
- state_ : http::server::request_parser
- status : http::server::reply
- stocks_ : s11n_example::server, s11n_example::client

### - u -

- uri : http::server::request_parser, http::server::request

### - v -

- value : http::server::header

### - w -

- work_ : services::logger_service
- work_io_service_ : services::logger_service
- work_thread_ : services::logger_service

| Copyright © 2003 - 2006 Christopher M. Kohlhoff